For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notification

post

Admin only. Create a new global broadcast announcement.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
201Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/notification/broadcast/create/
POST /api/v1/notification/broadcast/create/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
201Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "title": "text",
    "description": "text",
    "url": "text",
    "target_type": "text",
    "target_id": "text",
    "target_details": "text",
    "created_by": "text",
    "created_by_name": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "expires_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete all broadcast notifications. Admin role required.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/notification/broadcast/delete/all/
DELETE /api/v1/notification/broadcast/delete/all/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "title": "text",
    "description": "text",
    "url": "text",
    "target_type": "text",
    "target_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "expires_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text"
  }
}
delete

Delete a single broadcast notification by its ID. Admin role required.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
broadcast_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/notification/broadcast/delete/id/{broadcast_id}/
DELETE /api/v1/notification/broadcast/delete/id/{broadcast_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "title": "text",
    "description": "text",
    "url": "text",
    "target_type": "text",
    "target_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "expires_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text"
  }
}
get

Admin only. List all broadcast notifications. Each record includes a target_details field with the resolved human-readable name of the target audience.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/notification/broadcast/list/all/
GET /api/v1/notification/broadcast/list/all/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "title": "text",
      "description": "text",
      "url": "text",
      "target_type": "text",
      "target_id": "text",
      "target_details": "text",
      "created_by": "text",
      "created_by_name": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "expires_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}
patch

Admin only. Partially update a broadcast notification by its ID. All fields are optional.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
broadcast_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/notification/broadcast/update/id/{broadcast_id}/
PATCH /api/v1/notification/broadcast/update/id/{broadcast_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "title": "text",
    "description": "text",
    "url": "text",
    "target_type": "text",
    "target_id": "text",
    "target_details": "text",
    "created_by": "text",
    "created_by_name": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "expires_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Notification Delete All.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/notification/delete/all/
DELETE /api/v1/notification/delete/all/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "title": "text",
    "description": "text",
    "button": "text",
    "url": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "user": "text",
    "created_by": "text"
  }
}
delete

Delete Notification Delete.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
notification_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/notification/delete/id/{notification_id}/
DELETE /api/v1/notification/delete/id/{notification_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "title": "text",
    "description": "text",
    "button": "text",
    "url": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "user": "text",
    "created_by": "text"
  }
}
get

Retrieve all notifications for the authenticated user. Returns two lists: direct (personal) and broadcasts (group/audience).

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/notification/list/
GET /api/v1/notification/list/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "direct": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "title": "text",
        "description": "text",
        "button": "text",
        "url": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "user": "text",
        "created_by": "text"
      }
    ],
    "broadcasts": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "title": "text",
        "description": "text",
        "url": "text",
        "target_type": "text",
        "target_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "expires_at": "2026-01-01T00:00:00.000Z",
        "created_by": "text"
      }
    ]
  }
}

Last updated

Was this helpful?